import { XmlNode } from "./xml-node";
export declare enum PreallocationStrategy {
    SPARSE_FILE = "sparse_file",
    OS_KERNEL_COPY = "os_kernel_copy",
    ZEROS = "zeros"
}
export declare enum JournalDiskSyncStrategy {
    ALWAYS = "always",
    PERIODIC = "periodic",
    NEVER = "never"
}
export declare enum Protocol {
    OPENWIRE = "openwire"
}
export declare class VmQueueCursor extends XmlNode implements IPolicyEntryPendingQueuePolicy {
    constructor();
}
export declare class VmDurableCursor extends XmlNode implements IPolicyEntryPendingDurableSubscriberPolicy {
    constructor();
}
export declare class VmCursor extends XmlNode implements IPolicyEntryPendingSubscriberPolicy {
    constructor();
}
export declare class StrictOrderDispatchPolicy extends XmlNode implements IPolicyEntryDispatchPolicy {
    constructor();
}
export declare class StoreCursor extends XmlNode implements IPolicyEntryPendingQueuePolicy {
    constructor();
}
export declare class StatisticsBrokerPlugin extends XmlNode implements IBrokerPlugin {
    constructor();
}
export declare class SimpleMessageGroupMapFactory extends XmlNode implements IPolicyEntryMessageGroupMapFactory {
    constructor();
}
export declare class SimpleDispatchPolicy extends XmlNode implements IPolicyEntryDispatchPolicy {
    constructor();
}
export declare class RoundRobinDispatchPolicy extends XmlNode implements IPolicyEntryDispatchPolicy {
    constructor();
}
export declare class PriorityNetworkDispatchPolicy extends XmlNode implements IPolicyEntryDispatchPolicy {
    constructor();
}
export declare class PriorityDispatchPolicy extends XmlNode implements IPolicyEntryDispatchPolicy {
    constructor();
}
export declare class NoSubscriptionRecoveryPolicy extends XmlNode implements IPolicyEntrySubscriptionRecoveryPolicy, IRetainedMessageSubscriptionRecoveryPolicyWrapped {
    constructor();
}
export declare class LastImageSubscriptionRecoveryPolicy extends XmlNode implements IPolicyEntrySubscriptionRecoveryPolicy, IRetainedMessageSubscriptionRecoveryPolicyWrapped {
    constructor();
}
export declare class FileQueueCursor extends XmlNode implements IPolicyEntryPendingQueuePolicy {
    constructor();
}
export declare class FileDurableSubscriberCursor extends XmlNode implements IPolicyEntryPendingDurableSubscriberPolicy {
    constructor();
}
export declare class FileCursor extends XmlNode implements IPolicyEntryPendingSubscriberPolicy {
    constructor();
}
export interface VirtualTopicAttributes {
    readonly concurrentSend?: boolean;
    readonly dropOnResourceLimit?: boolean;
    readonly local?: boolean;
    readonly name?: string;
    readonly postfix?: string;
    readonly prefix?: string;
    readonly selectorAware?: boolean;
    readonly setOriginalDestination?: boolean;
    readonly transactedSend?: boolean;
}
export declare class VirtualTopic extends XmlNode implements IVirtualDestinationInterceptorVirtualDestination {
    readonly attributes?: VirtualTopicAttributes | undefined;
    constructor(attributes?: VirtualTopicAttributes | undefined);
}
export interface UniquePropertyMessageEvictionStrategyAttributes {
    readonly evictExpiredMessagesHighWatermark?: number;
    readonly propertyName?: string;
}
export declare class UniquePropertyMessageEvictionStrategy extends XmlNode implements IPolicyEntryMessageEvictionStrategy {
    readonly attributes?: UniquePropertyMessageEvictionStrategyAttributes | undefined;
    constructor(attributes?: UniquePropertyMessageEvictionStrategyAttributes | undefined);
}
export interface TransportConnectorAttributes {
    readonly name?: Protocol;
    readonly updateClusterClients?: boolean;
    readonly rebalanceClusterClients?: boolean;
    readonly updateClusterClientsOnRemove?: boolean;
}
export declare class TransportConnector extends XmlNode {
    readonly attributes?: TransportConnectorAttributes | undefined;
    constructor(attributes?: TransportConnectorAttributes | undefined);
}
export interface TopicAttributes {
    readonly dlq?: boolean;
    readonly physicalName?: string;
}
export declare class Topic extends XmlNode implements IBrokerDestination, ICompositeQueueForwardTo, ICompositeTopicForwardTo, INetworkConnectorDurableDestination, INetworkConnectorDynamicallyIncludedDestination, INetworkConnectorExcludedDestination, INetworkConnectorStaticallyIncludedDestination, IPolicyEntryDestination, ISharedDeadLetterStrategyDeadLetterQueue {
    readonly attributes?: TopicAttributes | undefined;
    constructor(attributes?: TopicAttributes | undefined);
}
export interface TimedSubscriptionRecoveryPolicyAttributes {
    readonly recoverDuration?: number;
}
export declare class TimedSubscriptionRecoveryPolicy extends XmlNode implements IPolicyEntrySubscriptionRecoveryPolicy, IRetainedMessageSubscriptionRecoveryPolicyWrapped {
    readonly attributes?: TimedSubscriptionRecoveryPolicyAttributes | undefined;
    constructor(attributes?: TimedSubscriptionRecoveryPolicyAttributes | undefined);
}
export interface TimeStampingBrokerPluginAttributes {
    readonly futureOnly?: boolean;
    readonly processNetworkMessages?: boolean;
    readonly ttlCeiling?: number;
    readonly zeroExpirationOverride?: number;
}
export declare class TimeStampingBrokerPlugin extends XmlNode implements IBrokerPlugin {
    readonly attributes?: TimeStampingBrokerPluginAttributes | undefined;
    constructor(attributes?: TimeStampingBrokerPluginAttributes | undefined);
}
export interface TempTopicAttributes {
    readonly dlq?: boolean;
    readonly physicalName?: string;
}
export declare class TempTopic extends XmlNode implements IBrokerDestination, ICompositeQueueForwardTo, ICompositeTopicForwardTo, INetworkConnectorDurableDestination, INetworkConnectorDynamicallyIncludedDestination, INetworkConnectorExcludedDestination, INetworkConnectorStaticallyIncludedDestination, IPolicyEntryDestination, ISharedDeadLetterStrategyDeadLetterQueue {
    readonly attributes?: TempTopicAttributes | undefined;
    constructor(attributes?: TempTopicAttributes | undefined);
}
export interface TempQueueAttributes {
    readonly dlq?: boolean;
    readonly physicalName?: string;
}
export declare class TempQueue extends XmlNode implements IBrokerDestination, ICompositeQueueForwardTo, ICompositeTopicForwardTo, INetworkConnectorDurableDestination, INetworkConnectorDynamicallyIncludedDestination, INetworkConnectorExcludedDestination, INetworkConnectorStaticallyIncludedDestination, IPolicyEntryDestination, ISharedDeadLetterStrategyDeadLetterQueue {
    readonly attributes?: TempQueueAttributes | undefined;
    constructor(attributes?: TempQueueAttributes | undefined);
}
export interface TempDestinationAuthorizationEntryAttributes {
    readonly admin?: string;
    readonly queue?: string;
    readonly read?: string;
    readonly tempQueue?: boolean;
    readonly tempTopic?: boolean;
    readonly topic?: string;
    readonly write?: string;
}
export declare class TempDestinationAuthorizationEntry extends XmlNode implements IAuthorizationMapAuthorizationEntry, IAuthorizationMapDefaultEntry {
    readonly attributes?: TempDestinationAuthorizationEntryAttributes | undefined;
    constructor(attributes?: TempDestinationAuthorizationEntryAttributes | undefined);
}
export interface StoreDurableSubscriberCursorAttributes {
    readonly immediatePriorityDispatch?: boolean;
    readonly useCache?: boolean;
}
export declare class StoreDurableSubscriberCursor extends XmlNode implements IPolicyEntryPendingDurableSubscriberPolicy {
    readonly attributes?: StoreDurableSubscriberCursorAttributes | undefined;
    constructor(attributes?: StoreDurableSubscriberCursorAttributes | undefined);
}
export interface RedeliveryPolicyAttributes {
    readonly backOffMultiplier?: number;
    readonly collisionAvoidancePercent?: number;
    readonly initialRedeliveryDelay?: number;
    readonly maximumRedeliveries?: number;
    readonly maximumRedeliveryDelay?: number;
    readonly preDispatchCheck?: boolean;
    readonly queue?: string;
    readonly redeliveryDelay?: number;
    readonly tempQueue?: boolean;
    readonly tempTopic?: boolean;
    readonly topic?: string;
    readonly useCollisionAvoidance?: boolean;
    readonly useExponentialBackOff?: boolean;
}
export declare class RedeliveryPolicy extends XmlNode {
    readonly attributes?: RedeliveryPolicyAttributes | undefined;
    constructor(attributes?: RedeliveryPolicyAttributes | undefined);
}
export interface QueueAttributes {
    readonly dlq?: boolean;
    readonly physicalName?: string;
}
export declare class Queue extends XmlNode implements IBrokerDestination, ICompositeQueueForwardTo, ICompositeTopicForwardTo, INetworkConnectorDurableDestination, INetworkConnectorDynamicallyIncludedDestination, INetworkConnectorExcludedDestination, INetworkConnectorStaticallyIncludedDestination, IPolicyEntryDestination, ISharedDeadLetterStrategyDeadLetterQueue {
    readonly attributes?: QueueAttributes | undefined;
    constructor(attributes?: QueueAttributes | undefined);
}
export interface QueryBasedSubscriptionRecoveryPolicyAttributes {
    readonly query?: string;
}
export declare class QueryBasedSubscriptionRecoveryPolicy extends XmlNode implements IPolicyEntrySubscriptionRecoveryPolicy, IRetainedMessageSubscriptionRecoveryPolicyWrapped {
    readonly attributes?: QueryBasedSubscriptionRecoveryPolicyAttributes | undefined;
    constructor(attributes?: QueryBasedSubscriptionRecoveryPolicyAttributes | undefined);
}
export interface PrefetchRatePendingMessageLimitStrategyAttributes {
    readonly multiplier?: number;
}
export declare class PrefetchRatePendingMessageLimitStrategy extends XmlNode implements IPolicyEntryPendingMessageLimitStrategy {
    readonly attributes?: PrefetchRatePendingMessageLimitStrategyAttributes | undefined;
    constructor(attributes?: PrefetchRatePendingMessageLimitStrategyAttributes | undefined);
}
export interface OldestMessageWithLowestPriorityEvictionStrategyAttributes {
    readonly evictExpiredMessagesHighWatermark?: number;
}
export declare class OldestMessageWithLowestPriorityEvictionStrategy extends XmlNode implements IPolicyEntryMessageEvictionStrategy {
    readonly attributes?: OldestMessageWithLowestPriorityEvictionStrategyAttributes | undefined;
    constructor(attributes?: OldestMessageWithLowestPriorityEvictionStrategyAttributes | undefined);
}
export interface OldestMessageEvictionStrategyAttributes {
    readonly evictExpiredMessagesHighWatermark?: number;
}
export declare class OldestMessageEvictionStrategy extends XmlNode implements IPolicyEntryMessageEvictionStrategy {
    readonly attributes?: OldestMessageEvictionStrategyAttributes | undefined;
    constructor(attributes?: OldestMessageEvictionStrategyAttributes | undefined);
}
export interface MirroredQueueAttributes {
    readonly copyMessage?: boolean;
    readonly postfix?: string;
    readonly prefix?: string;
}
export declare class MirroredQueue extends XmlNode implements IBrokerDestinationInterceptor {
    readonly attributes?: MirroredQueueAttributes | undefined;
    constructor(attributes?: MirroredQueueAttributes | undefined);
}
export interface MessageGroupHashBucketFactoryAttributes {
    readonly bucketCount?: number;
    readonly cacheSize?: number;
}
export declare class MessageGroupHashBucketFactory extends XmlNode implements IPolicyEntryMessageGroupMapFactory {
    readonly attributes?: MessageGroupHashBucketFactoryAttributes | undefined;
    constructor(attributes?: MessageGroupHashBucketFactoryAttributes | undefined);
}
export interface MemoryUsageAttributes {
    readonly percentOfJvmHeap?: number;
}
export declare class MemoryUsage extends XmlNode {
    readonly attributes?: MemoryUsageAttributes | undefined;
    constructor(attributes?: MemoryUsageAttributes | undefined);
}
export interface KahaDBAttributes {
    readonly concurrentStoreAndDispatchQueues?: boolean;
    readonly cleanupOnStop?: boolean;
    readonly checkpointInterval?: number;
    readonly indexWriteBatchSize?: number;
    readonly journalDiskSyncInterval?: number;
    readonly journalDiskSyncStrategy?: JournalDiskSyncStrategy;
    readonly preallocationStrategy?: PreallocationStrategy;
}
export declare class KahaDB extends XmlNode {
    readonly attributes?: KahaDBAttributes | undefined;
    constructor(attributes?: KahaDBAttributes | undefined);
}
export interface IndividualDeadLetterStrategyAttributes {
    readonly destinationPerDurableSubscriber?: boolean;
    readonly enableAudit?: boolean;
    readonly expiration?: number;
    readonly maxAuditDepth?: number;
    readonly maxProducersToAudit?: number;
    readonly processExpired?: boolean;
    readonly processNonPersistent?: boolean;
    readonly queuePrefix?: string;
    readonly queueSuffix?: string;
    readonly topicPrefix?: string;
    readonly topicSuffix?: string;
    readonly useQueueForQueueMessages?: boolean;
    readonly useQueueForTopicMessages?: boolean;
}
export declare class IndividualDeadLetterStrategy extends XmlNode implements IPolicyEntryDeadLetterStrategy {
    readonly attributes?: IndividualDeadLetterStrategyAttributes | undefined;
    constructor(attributes?: IndividualDeadLetterStrategyAttributes | undefined);
}
export interface ForcePersistencyModeBrokerPluginAttributes {
    readonly persistenceFlag?: boolean;
}
export declare class ForcePersistencyModeBrokerPlugin extends XmlNode implements IBrokerPlugin {
    readonly attributes?: ForcePersistencyModeBrokerPluginAttributes | undefined;
    constructor(attributes?: ForcePersistencyModeBrokerPluginAttributes | undefined);
}
export interface FixedSizedSubscriptionRecoveryPolicyAttributes {
    readonly maximumSize?: number;
    readonly useSharedBuffer?: boolean;
}
export declare class FixedSizedSubscriptionRecoveryPolicy extends XmlNode implements IPolicyEntrySubscriptionRecoveryPolicy, IRetainedMessageSubscriptionRecoveryPolicyWrapped {
    readonly attributes?: FixedSizedSubscriptionRecoveryPolicyAttributes | undefined;
    constructor(attributes?: FixedSizedSubscriptionRecoveryPolicyAttributes | undefined);
}
export interface FixedCountSubscriptionRecoveryPolicyAttributes {
    readonly maximumSize?: number;
}
export declare class FixedCountSubscriptionRecoveryPolicy extends XmlNode implements IPolicyEntrySubscriptionRecoveryPolicy, IRetainedMessageSubscriptionRecoveryPolicyWrapped {
    readonly attributes?: FixedCountSubscriptionRecoveryPolicyAttributes | undefined;
    constructor(attributes?: FixedCountSubscriptionRecoveryPolicyAttributes | undefined);
}
export interface FilteredDestinationAttributes {
    readonly queue?: string;
    readonly selector?: string;
    readonly topic?: string;
}
export declare class FilteredDestination extends XmlNode implements ICompositeQueueForwardTo, ICompositeTopicForwardTo, INetworkConnectorDurableDestination, INetworkConnectorDynamicallyIncludedDestination, INetworkConnectorExcludedDestination, INetworkConnectorStaticallyIncludedDestination {
    readonly attributes?: FilteredDestinationAttributes | undefined;
    constructor(attributes?: FilteredDestinationAttributes | undefined);
}
export interface DiscardingDLQBrokerPluginAttributes {
    readonly dropAll?: boolean;
    readonly dropOnly?: string;
    readonly dropTemporaryQueues?: boolean;
    readonly dropTemporaryTopics?: boolean;
    readonly reportInterval?: number;
}
export declare class DiscardingDLQBrokerPlugin extends XmlNode implements IBrokerPlugin {
    readonly attributes?: DiscardingDLQBrokerPluginAttributes | undefined;
    constructor(attributes?: DiscardingDLQBrokerPluginAttributes | undefined);
}
export interface DiscardingAttributes {
    readonly deadLetterQueue?: string;
    readonly enableAudit?: boolean;
    readonly expiration?: number;
    readonly maxAuditDepth?: number;
    readonly maxProducersToAudit?: number;
    readonly processExpired?: boolean;
    readonly processNonPersistent?: boolean;
}
export declare class Discarding extends XmlNode implements IPolicyEntryDeadLetterStrategy {
    readonly attributes?: DiscardingAttributes | undefined;
    constructor(attributes?: DiscardingAttributes | undefined);
}
export interface ConstantPendingMessageLimitStrategyAttributes {
    readonly limit?: number;
}
export declare class ConstantPendingMessageLimitStrategy extends XmlNode implements IPolicyEntryPendingMessageLimitStrategy {
    readonly attributes?: ConstantPendingMessageLimitStrategyAttributes | undefined;
    constructor(attributes?: ConstantPendingMessageLimitStrategyAttributes | undefined);
}
export interface ConditionalNetworkBridgeFilterFactoryAttributes {
    readonly rateDuration?: number;
    readonly rateLimit?: number;
    readonly replayDelay?: number;
    readonly replayWhenNoConsumers?: boolean;
    readonly selectorAware?: boolean;
}
export declare class ConditionalNetworkBridgeFilterFactory extends XmlNode {
    readonly attributes?: ConditionalNetworkBridgeFilterFactoryAttributes | undefined;
    constructor(attributes?: ConditionalNetworkBridgeFilterFactoryAttributes | undefined);
}
export interface ClientIdFilterDispatchPolicyAttributes {
    readonly ptpClientId?: string;
    readonly ptpSuffix?: string;
}
export declare class ClientIdFilterDispatchPolicy extends XmlNode implements IPolicyEntryDispatchPolicy {
    readonly attributes?: ClientIdFilterDispatchPolicyAttributes | undefined;
    constructor(attributes?: ClientIdFilterDispatchPolicyAttributes | undefined);
}
export interface CachedMessageGroupMapFactoryAttributes {
    readonly cacheSize?: number;
}
export declare class CachedMessageGroupMapFactory extends XmlNode implements IPolicyEntryMessageGroupMapFactory {
    readonly attributes?: CachedMessageGroupMapFactoryAttributes | undefined;
    constructor(attributes?: CachedMessageGroupMapFactoryAttributes | undefined);
}
export interface AuthorizationEntryAttributes {
    readonly admin?: string;
    readonly queue?: string;
    readonly read?: string;
    readonly tempQueue?: boolean;
    readonly tempTopic?: boolean;
    readonly topic?: string;
    readonly write?: string;
}
export declare class AuthorizationEntry extends XmlNode implements IAuthorizationMapAuthorizationEntry, IAuthorizationMapDefaultEntry {
    readonly attributes?: AuthorizationEntryAttributes | undefined;
    constructor(attributes?: AuthorizationEntryAttributes | undefined);
}
export interface AbortSlowConsumerStrategyAttributes {
    readonly abortConnection?: boolean;
    readonly checkPeriod?: number;
    readonly ignoreNetworkConsumers?: boolean;
    readonly maxSlowCount?: number;
    readonly maxSlowDuration?: number;
    readonly name?: string;
}
export declare class AbortSlowConsumerStrategy extends XmlNode implements IPolicyEntrySlowConsumerStrategy {
    readonly attributes?: AbortSlowConsumerStrategyAttributes | undefined;
    constructor(attributes?: AbortSlowConsumerStrategyAttributes | undefined);
}
export interface AbortSlowAckConsumerStrategyAttributes {
    readonly abortConnection?: boolean;
    readonly checkPeriod?: number;
    readonly ignoreIdleConsumers?: boolean;
    readonly ignoreNetworkConsumers?: boolean;
    readonly maxSlowCount?: number;
    readonly maxSlowDuration?: number;
    readonly maxTimeSinceLastAck?: number;
    readonly name?: string;
}
export declare class AbortSlowAckConsumerStrategy extends XmlNode implements IPolicyEntrySlowConsumerStrategy {
    readonly attributes?: AbortSlowAckConsumerStrategyAttributes | undefined;
    constructor(attributes?: AbortSlowAckConsumerStrategyAttributes | undefined);
}
export interface IAuthorizationMapAuthorizationEntry {
}
export interface IAuthorizationMapDefaultEntry {
}
export interface AuthorizationMapElements {
    readonly authorizationEntries?: IAuthorizationMapAuthorizationEntry[];
    readonly defaultEntry?: IAuthorizationMapDefaultEntry;
    readonly tempDestinationAuthorizationEntry?: TempDestinationAuthorizationEntry;
}
export declare class AuthorizationMap extends XmlNode implements IAuthorizationPluginMap {
    readonly elements?: AuthorizationMapElements | undefined;
    constructor(elements?: AuthorizationMapElements | undefined);
}
export interface IAuthorizationPluginMap {
}
export interface AuthorizationPluginElements {
    readonly authorizationMap?: IAuthorizationPluginMap;
}
export declare class AuthorizationPlugin extends XmlNode implements IBrokerPlugin {
    readonly elements?: AuthorizationPluginElements | undefined;
    constructor(elements?: AuthorizationPluginElements | undefined);
}
export interface BrokerAttributes {
    readonly advisorySupport?: string;
    readonly allowTempAutoCreationOnSend?: boolean;
    readonly anonymousProducerAdvisorySupport?: boolean;
    readonly cacheTempDestinations?: boolean;
    readonly consumerSystemUsagePortion?: number;
    readonly dedicatedTaskRunner?: boolean;
    readonly deleteAllMessagesOnStartup?: string;
    readonly enableMessageExpirationOnActiveDurableSubs?: boolean;
    readonly keepDurableSubsActive?: boolean;
    readonly maxPurgedDestinationsPerSweep?: number;
    readonly maxSchedulerRepeatAllowed?: number;
    readonly monitorConnectionSplits?: boolean;
    readonly offlineDurableSubscriberTaskSchedule?: number;
    readonly offlineDurableSubscriberTimeout?: number;
    readonly persistenceThreadPriority?: number;
    readonly persistent?: string;
    readonly populateJMSXUserID?: boolean;
    readonly producerSystemUsagePortion?: number;
    readonly rejectDurableConsumers?: boolean;
    readonly rollbackOnlyOnAsyncException?: boolean;
    readonly schedulePeriodForDestinationPurge?: number;
    readonly schedulerSupport?: string;
    readonly splitSystemUsageForProducersConsumers?: boolean;
    readonly systemUsage?: string;
    readonly taskRunnerPriority?: number;
    readonly timeBeforePurgeTempDestinations?: number;
    readonly useAuthenticatedPrincipalForJMSXUserID?: boolean;
    readonly useMirroredQueues?: boolean;
    readonly useTempMirroredQueues?: boolean;
    readonly useVirtualDestSubs?: boolean;
    readonly useVirtualDestSubsOnCreation?: boolean;
    readonly useVirtualTopics?: boolean;
    readonly start?: boolean;
}
export interface IBrokerDestinationInterceptor {
}
export interface IBrokerDestination {
}
export interface IBrokerPlugin {
}
export interface BrokerElements {
    readonly destinationInterceptors?: IBrokerDestinationInterceptor[];
    readonly destinationPolicy?: PolicyMap;
    readonly destinations?: IBrokerDestination[];
    readonly networkConnectors?: NetworkConnector[];
    readonly persistenceAdapter?: KahaDB;
    readonly plugins?: IBrokerPlugin[];
    readonly systemUsage?: SystemUsage;
    readonly transportConnectors?: TransportConnector[];
}
export declare class Broker extends XmlNode {
    readonly attributes?: BrokerAttributes | undefined;
    readonly elements?: BrokerElements | undefined;
    constructor(attributes?: BrokerAttributes | undefined, elements?: BrokerElements | undefined);
}
export interface CompositeQueueAttributes {
    readonly concurrentSend?: boolean;
    readonly copyMessage?: boolean;
    readonly forwardOnly?: boolean;
    readonly name?: string;
    readonly sendWhenNotMatched?: boolean;
}
export interface ICompositeQueueForwardTo {
}
export interface CompositeQueueElements {
    readonly forwardTo?: ICompositeQueueForwardTo[];
}
export declare class CompositeQueue extends XmlNode implements IVirtualDestinationInterceptorVirtualDestination {
    readonly attributes?: CompositeQueueAttributes | undefined;
    readonly elements?: CompositeQueueElements | undefined;
    constructor(attributes?: CompositeQueueAttributes | undefined, elements?: CompositeQueueElements | undefined);
}
export interface CompositeTopicAttributes {
    readonly concurrentSend?: boolean;
    readonly copyMessage?: boolean;
    readonly forwardOnly?: boolean;
    readonly name?: string;
    readonly sendWhenNotMatched?: boolean;
}
export interface ICompositeTopicForwardTo {
}
export interface CompositeTopicElements {
    readonly forwardTo?: ICompositeTopicForwardTo[];
}
export declare class CompositeTopic extends XmlNode implements IVirtualDestinationInterceptorVirtualDestination {
    readonly attributes?: CompositeTopicAttributes | undefined;
    readonly elements?: CompositeTopicElements | undefined;
    constructor(attributes?: CompositeTopicAttributes | undefined, elements?: CompositeTopicElements | undefined);
}
export interface NetworkConnectorAttributes {
    readonly advisoryAckPercentage?: number;
    readonly advisoryForFailedForward?: boolean;
    readonly advisoryPrefetchSize?: number;
    readonly alwaysSyncSend?: boolean;
    readonly bridgeFactory?: string;
    readonly bridgeTempDestinations?: boolean;
    readonly brokerName?: string;
    readonly brokerURL?: string;
    readonly checkDuplicateMessagesOnDuplex?: boolean;
    readonly clientIdToken?: string;
    readonly conduitNetworkQueueSubscriptions?: boolean;
    readonly conduitSubscriptions?: boolean;
    readonly connectionFilter?: string;
    readonly consumerPriorityBase?: number;
    readonly consumerTTL?: number;
    readonly decreaseNetworkConsumerPriority?: boolean;
    readonly destinationFilter?: string;
    readonly dispatchAsync?: boolean;
    readonly duplex?: boolean;
    readonly dynamicOnly?: boolean;
    readonly gcDestinationViews?: boolean;
    readonly gcSweepTime?: number;
    readonly localUri?: string;
    readonly messageTTL?: number;
    readonly name?: string;
    readonly networkTTL?: number;
    readonly objectName?: string;
    readonly prefetchSize?: string;
    readonly staticBridge?: boolean;
    readonly suppressDuplicateQueueSubscriptions?: boolean;
    readonly suppressDuplicateTopicSubscriptions?: boolean;
    readonly syncDurableSubs?: boolean;
    readonly uri?: string;
    readonly useBrokerNameAsIdSees?: boolean;
    readonly useCompression?: boolean;
    readonly useVirtualDestSubs?: boolean;
    readonly userName?: string;
}
export interface INetworkConnectorDurableDestination {
}
export interface INetworkConnectorDynamicallyIncludedDestination {
}
export interface INetworkConnectorExcludedDestination {
}
export interface INetworkConnectorStaticallyIncludedDestination {
}
export interface NetworkConnectorElements {
    readonly durableDestinations?: INetworkConnectorDurableDestination[];
    readonly dynamicallyIncludedDestinations?: INetworkConnectorDynamicallyIncludedDestination[];
    readonly excludedDestinations?: INetworkConnectorExcludedDestination[];
    readonly staticallyIncludedDestinations?: INetworkConnectorStaticallyIncludedDestination[];
}
export declare class NetworkConnector extends XmlNode {
    readonly attributes?: NetworkConnectorAttributes | undefined;
    readonly elements?: NetworkConnectorElements | undefined;
    constructor(attributes?: NetworkConnectorAttributes | undefined, elements?: NetworkConnectorElements | undefined);
}
export interface PolicyEntryAttributes {
    readonly advisoryForConsumed?: boolean;
    readonly advisoryForDelivery?: boolean;
    readonly advisoryForDiscardingMessages?: boolean;
    readonly advisoryForDispatched?: boolean;
    readonly advisoryForFastProducers?: boolean;
    readonly advisoryForSlowConsumers?: boolean;
    readonly advisoryWhenFull?: boolean;
    readonly allConsumersExclusiveByDefault?: boolean;
    readonly alwaysRetroactive?: boolean;
    readonly blockedProducerWarningInterval?: number;
    readonly consumersBeforeDispatchStarts?: number;
    readonly cursorMemoryHighWaterMark?: number;
    readonly doOptimzeMessageStorage?: boolean;
    readonly durableTopicPrefetch?: number;
    readonly enableAudit?: boolean;
    readonly expireMessagesPeriod?: number;
    readonly gcInactiveDestinations?: boolean;
    readonly gcWithNetworkConsumers?: boolean;
    readonly inactiveTimeoutBeforeGC?: number;
    readonly inactiveTimoutBeforeGC?: number;
    readonly includeBodyForAdvisory?: boolean;
    readonly lazyDispatch?: boolean;
    readonly maxAuditDepth?: number;
    readonly maxBrowsePageSize?: number;
    readonly maxDestinations?: number;
    readonly maxExpirePageSize?: number;
    readonly maxPageSize?: number;
    readonly maxProducersToAudit?: number;
    readonly maxQueueAuditDepth?: number;
    readonly memoryLimit?: string;
    readonly messageGroupMapFactoryType?: string;
    readonly minimumMessageSize?: number;
    readonly optimizeMessageStoreInFlightLimit?: number;
    readonly optimizedDispatch?: boolean;
    readonly persistJMSRedelivered?: boolean;
    readonly prioritizedMessages?: boolean;
    readonly producerFlowControl?: boolean;
    readonly queue?: string;
    readonly queueBrowserPrefetch?: number;
    readonly queuePrefetch?: number;
    readonly reduceMemoryFootprint?: boolean;
    readonly sendAdvisoryIfNoConsumers?: boolean;
    readonly sendDuplicateFromStoreToDLQ?: boolean;
    readonly sendFailIfNoSpace?: boolean;
    readonly sendFailIfNoSpaceAfterTimeout?: number;
    readonly storeUsageHighWaterMark?: number;
    readonly strictOrderDispatch?: boolean;
    readonly tempQueue?: boolean;
    readonly tempTopic?: boolean;
    readonly timeBeforeDispatchStarts?: number;
    readonly topic?: string;
    readonly topicPrefetch?: number;
    readonly useCache?: boolean;
    readonly useConsumerPriority?: boolean;
    readonly usePrefetchExtension?: boolean;
    readonly useTopicSubscriptionInflightStats?: boolean;
}
export interface IPolicyEntryDeadLetterStrategy {
}
export interface IPolicyEntryDestination {
}
export interface IPolicyEntryDispatchPolicy {
}
export interface IPolicyEntryMessageEvictionStrategy {
}
export interface IPolicyEntryMessageGroupMapFactory {
}
export interface IPolicyEntryPendingDurableSubscriberPolicy {
}
export interface IPolicyEntryPendingMessageLimitStrategy {
}
export interface IPolicyEntryPendingQueuePolicy {
}
export interface IPolicyEntryPendingSubscriberPolicy {
}
export interface IPolicyEntrySlowConsumerStrategy {
}
export interface IPolicyEntrySubscriptionRecoveryPolicy {
}
export interface PolicyEntryElements {
    readonly deadLetterStrategy?: IPolicyEntryDeadLetterStrategy;
    readonly destination?: IPolicyEntryDestination;
    readonly dispatchPolicy?: IPolicyEntryDispatchPolicy;
    readonly messageEvictionStrategy?: IPolicyEntryMessageEvictionStrategy;
    readonly messageGroupMapFactory?: IPolicyEntryMessageGroupMapFactory;
    readonly networkBridgeFilterFactory?: ConditionalNetworkBridgeFilterFactory;
    readonly pendingDurableSubscriberPolicy?: IPolicyEntryPendingDurableSubscriberPolicy;
    readonly pendingMessageLimitStrategy?: IPolicyEntryPendingMessageLimitStrategy;
    readonly pendingQueuePolicy?: IPolicyEntryPendingQueuePolicy;
    readonly pendingSubscriberPolicy?: IPolicyEntryPendingSubscriberPolicy;
    readonly slowConsumerStrategy?: IPolicyEntrySlowConsumerStrategy;
    readonly subscriptionRecoveryPolicy?: IPolicyEntrySubscriptionRecoveryPolicy;
}
export declare class PolicyEntry extends XmlNode {
    readonly attributes?: PolicyEntryAttributes | undefined;
    readonly elements?: PolicyEntryElements | undefined;
    constructor(attributes?: PolicyEntryAttributes | undefined, elements?: PolicyEntryElements | undefined);
}
export interface PolicyMapElements {
    readonly defaultEntry?: PolicyEntry;
    readonly policyEntries?: PolicyEntry[];
}
export declare class PolicyMap extends XmlNode {
    readonly elements?: PolicyMapElements | undefined;
    constructor(elements?: PolicyMapElements | undefined);
}
export interface RedeliveryPolicyMapElements {
    readonly defaultEntry?: RedeliveryPolicy;
    readonly redeliveryPolicyEntries?: RedeliveryPolicy[];
}
export declare class RedeliveryPolicyMap extends XmlNode {
    readonly elements?: RedeliveryPolicyMapElements | undefined;
    constructor(elements?: RedeliveryPolicyMapElements | undefined);
}
export interface RedeliveryPluginAttributes {
    readonly fallbackToDeadLetter?: boolean;
    readonly sendToDlqIfMaxRetriesExceeded?: boolean;
}
export interface RedeliveryPluginElements {
    readonly redeliveryPolicyMap?: RedeliveryPolicyMap;
}
export declare class RedeliveryPlugin extends XmlNode implements IBrokerPlugin {
    readonly attributes?: RedeliveryPluginAttributes | undefined;
    readonly elements?: RedeliveryPluginElements | undefined;
    constructor(attributes?: RedeliveryPluginAttributes | undefined, elements?: RedeliveryPluginElements | undefined);
}
export interface IRetainedMessageSubscriptionRecoveryPolicyWrapped {
}
export interface RetainedMessageSubscriptionRecoveryPolicyElements {
    readonly wrapped?: IRetainedMessageSubscriptionRecoveryPolicyWrapped;
}
export declare class RetainedMessageSubscriptionRecoveryPolicy extends XmlNode implements IPolicyEntrySubscriptionRecoveryPolicy, IRetainedMessageSubscriptionRecoveryPolicyWrapped {
    readonly elements?: RetainedMessageSubscriptionRecoveryPolicyElements | undefined;
    constructor(elements?: RetainedMessageSubscriptionRecoveryPolicyElements | undefined);
}
export interface SharedDeadLetterStrategyAttributes {
    readonly enableAudit?: boolean;
    readonly expiration?: number;
    readonly maxAuditDepth?: number;
    readonly maxProducersToAudit?: number;
    readonly processExpired?: boolean;
    readonly processNonPersistent?: boolean;
}
export interface ISharedDeadLetterStrategyDeadLetterQueue {
}
export interface SharedDeadLetterStrategyElements {
    readonly deadLetterQueue?: ISharedDeadLetterStrategyDeadLetterQueue;
}
export declare class SharedDeadLetterStrategy extends XmlNode implements IPolicyEntryDeadLetterStrategy {
    readonly attributes?: SharedDeadLetterStrategyAttributes | undefined;
    readonly elements?: SharedDeadLetterStrategyElements | undefined;
    constructor(attributes?: SharedDeadLetterStrategyAttributes | undefined, elements?: SharedDeadLetterStrategyElements | undefined);
}
export interface SystemUsageAttributes {
    readonly sendFailIfNoSpace?: boolean;
    readonly sendFailIfNoSpaceAfterTimeout?: number;
}
export interface SystemUsageElements {
    readonly memoryUsage?: MemoryUsage;
}
export declare class SystemUsage extends XmlNode {
    readonly attributes?: SystemUsageAttributes | undefined;
    readonly elements?: SystemUsageElements | undefined;
    constructor(attributes?: SystemUsageAttributes | undefined, elements?: SystemUsageElements | undefined);
}
export interface IVirtualDestinationInterceptorVirtualDestination {
}
export interface VirtualDestinationInterceptorElements {
    readonly virtualDestinations: IVirtualDestinationInterceptorVirtualDestination[];
}
export declare class VirtualDestinationInterceptor extends XmlNode implements IBrokerDestinationInterceptor {
    readonly elements: VirtualDestinationInterceptorElements;
    constructor(elements: VirtualDestinationInterceptorElements);
}
export interface CachedLDAPAuthorizationMapAttributes {
    readonly queueSearchBase?: string;
    readonly topicSearchBase?: string;
    readonly tempSearchBase?: string;
    readonly refreshInterval?: number;
    readonly legacyGroupMapping?: boolean;
}
export declare class CachedLDAPAuthorizationMap extends XmlNode implements IAuthorizationPluginMap {
    readonly attributes?: CachedLDAPAuthorizationMapAttributes | undefined;
    constructor(attributes?: CachedLDAPAuthorizationMapAttributes | undefined);
}
